// DlgCameraName.cpp : implementation file
//

#include "stdafx.h"
#include "mw4gameed.h"
#include "DlgCameraName.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgCameraName dialog


CDlgCameraName::CDlgCameraName(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgCameraName::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgCameraName)
	m_strCameraName = _T("");
	//}}AFX_DATA_INIT
}


void CDlgCameraName::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgCameraName)
	DDX_Text(pDX, IDC_CAMERA_NAME, m_strCameraName);
	DDV_MaxChars(pDX, m_strCameraName, 15);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgCameraName, CDialog)
	//{{AFX_MSG_MAP(CDlgCameraName)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgCameraName message handlers

BOOL CDlgCameraName::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
  UpdateData(FALSE);
  
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CDlgCameraName::OnOK()
{
  UpdateData(TRUE);
  CDialog::OnOK();
}

void CDlgCameraName::OnCancel()
{
  CDialog::OnCancel();
  return;
}

void CDlgCameraName::SetCameraName(LPCSTR szCameraName)
{
  m_strCameraName = szCameraName;
}

void CDlgCameraName::GetCameraName(LPSTR szCameraName)
{
  lstrcpy(szCameraName, (LPCSTR)m_strCameraName);
}
